curl --request POST \
--url https://api.brightdata.com/request \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"zone": "web_unlocker1",
"url": "https://example.com/page",
"format": "json",
"method": "GET",
"country": "us",
"data_format": "markdown",
"render": "true"
}
'import requests
url = "https://api.brightdata.com/request"
payload = {
"zone": "web_unlocker1",
"url": "https://example.com/page",
"format": "json",
"method": "GET",
"country": "us",
"data_format": "markdown",
"render": "true"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
zone: 'web_unlocker1',
url: 'https://example.com/page',
format: 'json',
method: 'GET',
country: 'us',
data_format: 'markdown',
render: 'true'
})
};
fetch('https://api.brightdata.com/request', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
"成功""请求错误""需要用户身份验证"解锁网站
Bright Data Web Unlocker API 可帮助您绕过反机器人措施、管理代理,并自动解决 CAPTCHA,让网页数据采集更加轻松。
Bright Data Python SDK
授权
在 Authorization 头中使用您的 Bright Data API Key 作为 Bearer token。
认证方法:
- 从 Bright Data 账户设置获取您的 API Key: https://brightdata.com/cp/setting/users
- 在请求的 Authorization 头中包含 API Key
- 格式:
Authorization: Bearer YOUR_API_KEY
示例:
Authorization: Bearer b5648e1096c6442f60a6c4bbbe73f8d2234d3d8324554bd6a7ec8f3f251f07df
了解如何获取 Bright Data API Key: https://docs.brightdata.com/cn/api-reference/authentication#如何生成新的-api-key?
查询参数
设置为 true 以进行异步请求
请求体
定义您的 Bright Data 产品配置的区域标识符。每个区域包含目标规则、输出偏好和访问权限。 管理区域:https://brightdata.com/cp/zones
"web_unlocker1"
要抓取的完整目标 URL,必须包含协议 (http/https) 并可公开访问。
"https://example.com/page"
响应格式:raw 返回 HTML 内容字符串,json 返回结构化数据。
raw, json "json"
通过代理请求 HTML 的方法为 GET。
"GET"
代理所在国家的两字母 ISO 3166-1 代码(例如 us, gb, de, ca, au)。如果未指定,系统会根据区域配置自动选择最佳位置。
国家代码列表:https://docs.brightdata.com/cn/general/faqs#where-can-i-see-the-list-of-country-codes
"us"
额外响应格式转换:markdown 将 HTML 内容转换为干净的 markdown 格式,screenshot 捕获渲染页面的 PNG 图片。
markdown, screenshot "markdown"
设为 true 可强制使用浏览器进行 JavaScript 渲染。由于该标志会强制使用浏览器,可能会显著增加响应时间,因此仅在页面需要 JavaScript 才能加载内容时使用。
true, false "true"
响应
成功
The response is of type string.
"成功"
此页面对您有帮助吗?